PETSc version 3.17.4
Fix/Edit manual page

# DMLabelGetValueIndex

Get the index of a given value in the list of values for the DMlabel, or -1 if it is not present

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetValueIndex(DMLabel label, PetscInt value, PetscInt *index)

Not collective

### Input Parameters

| label | - the DMLabel
| value | - the value

### Output Parameter

| index | - the index of value in the list of values

### See Also

DMLabelGetValueIS(), DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages